Bug 253729 - dc corrupts fractional numbers without leading zeroes!
dc corrupts fractional numbers without leading zeroes!
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bc (Show other bugs)
rawhide
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 11:06 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 03:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-08-21 11:06:52 EDT
$ rpm -q bc
bc-1.06-27
$ dc
.2 p
0
0.2 p
.2
$ 

Previous versions of dc could certainly handle fractional numbers entered 
without the leading zero, but this version can't.  Very bad!
Comment 1 Zdenek Prikryl 2007-08-22 03:08:44 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.